﻿@model schoolProgramsCheckInOutReportViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Sign-out sheet - advanced Report
            </h1>

        </div>
        <div class="actions">

            <a class="icon-btn pdf-btn" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to PDF" ng-click="saveToPdf()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-pdf"></i>
            </a>
            <a class="icon-btn excel-btn" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-excel"></i>
            </a>
           
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="clearfix"></div>

    <div class="row place-left one-half padding-right20">
        <label class="req-star">School</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select ng-model="Model.SchoolId"
                        ng-change="fillSeasonData(Model.SchoolId)"
                        placeholder="Select school"
                        ng-options="obj.Value as obj.Text for obj in AllSchools">

                    <option value="" disabled selected>Select school</option>
                </select>
            </div>
        </div>
    </div>

    <div class="row place-left one-half">
        <label class="req-star">Season</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select ng-model="Model.SeasonId"
                        ng-change="fillProgramsData(Model.SeasonId)"
                        data-placeholder="Select season"
                        ng-options="obj.Value as obj.Text for obj in AllSeasons">

                    <option value="" disabled selected>Select season</option>
                </select>
            </div>
        </div>
    </div>

    <div class="row place-left one-half">
        <label>Program</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select ng-model="Model.ProgramId"
                        data-placeholder="Select season"
                        ng-options="obj.Value as obj.Text for obj in AllPrograms">

                    <option value="" disabled selected>Select program</option>
                </select>
            </div>
        </div>
    </div>

    <div class="row place-left one-half">
        <label class="req-star">Session start date</label>
 
        <div class="input-control date-time span4" data-role="input-control" @Html.AngValidationClassFor(model => model.DateProgram)>
            <div @Html.AngTooltipValidationFor(model => model.DateProgram)>
                <input kendo-date-picker k-options="MC.datePickerOptions" ng-model="Model.DateProgram" />
            </div>
        </div>
    </div>
    <br />
    <div class="clearfix"></div>
    <button class="success place-right large button" ng-click="runReport()" id="ConfirmInvoice">Run</button>
    <div class="clearfix"></div>
    <hr />


    <div class="structure-divider-large" ng-repeat="item in ModelPrograms">
        <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray">
            <tr>
                <td class="structure-bold structure-h3 " colspan="2"><span>{{item.ClassName}}</span></td>
                <td colspan="2" class="structure-text-right structure-bold structure-h3 "><span>{{item.SchoolName}}</span></td>
            </tr>
            <tr>
                <td>Days of week</td>
                <td>{{item.ClassDays}}</td>
                <td colspan="4" class="structure-text-right structure-bold structure-h3 ">Check - In/Out Sheet</td>
            </tr>
            <tr>
                <td>Time</td>
                <td>{{item.StrTime}}</td>
                <td colspan="2" class="structure-text-right structure-bold structure-h3 ">{{item.SeasonName}}</td>
            </tr>
            <tr>
                <td>Instructor</td>
                <td>{{item.Instructor}}</td>
                <td colspan="2">&nbsp;</td>
            </tr>
            <tr>
                <td>Location</td>
                <td>{{item.Location}}</td>
                <td colspan="2">&nbsp;</td>
            </tr>
        </table>
        <table class="jbt-table-custom" ng-show="item.ProgramParticipants != null">

            <tr class="structure-gray">
                <th rowspan="2" style="min-width:50px;width:50px;">#</th>
                <th>Student name</th>
                <th>Teacher name</th>
                <th>Grade</th>
                <th colspan="2" ng-show="item.DatesOfDay[0]!=null">{{item.DatesOfDay[0]}}</th>
                <th colspan="2" ng-show="item.DatesOfDay[1]!=null">{{item.DatesOfDay[1]}}</th>
                <th colspan="2" ng-show="item.DatesOfDay[2]!=null">{{item.DatesOfDay[2]}}</th>
                <th colspan="2" ng-show="item.DatesOfDay[3]!=null">{{item.DatesOfDay[3]}}</th>
            </tr>
            <tr class="structure-gray">
                <th>Student phone</th>
                <th>Transport home</th>
                <th>&nbsp;</th>
                <th style="max-width:50px;width:50px;" ng-show="item.DatesOfDay[0]!=null">IN</th>
                <th style="max-width:50px;width:50px;" ng-show="item.DatesOfDay[0]!=null">OUT</th>
                <th style="max-width:50px;width:50px;" ng-show="item.DatesOfDay[1]!=null">IN</th>
                <th style="max-width:50px;width:50px;" ng-show="item.DatesOfDay[1]!=null">OUT</th>
                <th style="max-width:50px;width:50px;" ng-show="item.DatesOfDay[2]!=null">IN</th>
                <th style="max-width:50px;width:50px;" ng-show="item.DatesOfDay[2]!=null">OUT</th>
                <th style="max-width:50px;width:50px;"  ng-show="item.DatesOfDay[3]!=null">IN</th>
                <th style="max-width:50px;width:50px;"  ng-show="item.DatesOfDay[3]!=null">OUT</th>
            </tr>

        
         
            <tr ng-repeat="participant in item.ProgramParticipants">
                <td  class="structure-text-center">{{participant.Number}}</td>
                <td class="structure-text-center">
                    <p>{{participant.ParticipantName}} <hr style="margin: 4px;" />{{participant.Phone}}</p>
                </td>
                <td class="structure-text-center">
                       <p>{{participant.TeacherName}}<hr style="margin: 4px;" />{{participant.TransportHome}}</p>
                </td>
                <td class="structure-text-center">{{participant.Grade}}</td>
                <td class="structure-text-center" ng-show="item.DatesOfDay[0]!=null">&nbsp;</td>
                <td  class="structure-text-center" ng-show="item.DatesOfDay[0]!=null">&nbsp;</td>
                <td  class="structure-text-center" ng-show="item.DatesOfDay[1]!=null">&nbsp;</td>
                <td  class="structure-text-center" ng-show="item.DatesOfDay[1]!=null">&nbsp;</td>
                <td  class="structure-text-center" ng-show="item.DatesOfDay[2]!=null">&nbsp;</td>
                <td  class="structure-text-center" ng-show="item.DatesOfDay[2]!=null">&nbsp;</td>
                <td  class="structure-text-center"  ng-show="item.DatesOfDay[3]!=null">&nbsp;</td>
                <td  class="structure-text-center"  ng-show="item.DatesOfDay[3]!=null">&nbsp;</td>
            </tr>

          

      


        </table>
    </div>

    <div class="clearfix"></div>

</div>
